Package org.apache.qpid.proton.codec.messaging

# Class FastPathAmqpSequenceType

java.lang.Object
org.apache.qpid.proton.codec.messaging.FastPathAmqpSequenceType

All Implemented Interfaces:
  `AMQPType<AmqpSequence>`, `FastPathDescribedTypeConstructor<AmqpSequence>`, `TypeConstructor<AmqpSequence>`

public class FastPathAmqpSequenceType extends Object implements AMQPType<AmqpSequence>, FastPathDescribedTypeConstructor<AmqpSequence>

## Constructor Summary

Constructors
Constructor
Description
`FastPathAmqpSequenceType(EncoderImpl encoder)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`encodesJavaPrimitive()`
`Collection<? extends TypeEncoding<AmqpSequence>>`
`getAllEncodings()`
`TypeEncoding<AmqpSequence>`
`getCanonicalEncoding()`
`DecoderImpl`
`getDecoder()`
`EncoderImpl`
`getEncoder()`
`TypeEncoding<AmqpSequence>`
`getEncoding(AmqpSequence val)`
`Class<AmqpSequence>`
`getTypeClass()`
`AmqpSequence`
`readValue()`
`static void`
`register(Decoder decoder, EncoderImpl encoder)`
`void`
`skipValue()`
`void`
`write(AmqpSequence sequence)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FastPathAmqpSequenceType

public FastPathAmqpSequenceType(EncoderImpl encoder)

## Method Details

### getEncoder

public EncoderImpl getEncoder()

### getDecoder

public DecoderImpl getDecoder()

### encodesJavaPrimitive

public boolean encodesJavaPrimitive()

Specified by:
  `encodesJavaPrimitive` in interface `TypeConstructor<AmqpSequence>`

### getTypeClass

public Class<AmqpSequence> getTypeClass()

Specified by:
  `getTypeClass` in interface `AMQPType<AmqpSequence>`
Specified by:
  `getTypeClass` in interface `TypeConstructor<AmqpSequence>`

### getEncoding

public TypeEncoding<AmqpSequence> getEncoding(AmqpSequence val)

Specified by:
  `getEncoding` in interface `AMQPType<AmqpSequence>`

### getCanonicalEncoding

public TypeEncoding<AmqpSequence> getCanonicalEncoding()

Specified by:
  `getCanonicalEncoding` in interface `AMQPType<AmqpSequence>`

### getAllEncodings

public Collection<? extends TypeEncoding<AmqpSequence>> getAllEncodings()

Specified by:
  `getAllEncodings` in interface `AMQPType<AmqpSequence>`

### readValue

public AmqpSequence readValue()

Specified by:
  `readValue` in interface `TypeConstructor<AmqpSequence>`

### skipValue

public void skipValue()

Specified by:
  `skipValue` in interface `TypeConstructor<AmqpSequence>`

### write

public void write(AmqpSequence sequence)

Specified by:
  `write` in interface `AMQPType<AmqpSequence>`

### register

public static void register(Decoder decoder, EncoderImpl encoder)